## libepoxy 1.1

=== debian/changelog ===
libepoxy (1.1-1build1) trusty-security; urgency=medium

  * No change rebuild in the security pocket

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Feb 2015 12:59:36 -0500

libepoxy (1.1-1) unstable; urgency=low

  * Initial release (Closes: #737273)

 -- Eric Anholt <eric@anholt.net>  Fri, 31 Jan 2014 16:52:20 -0800

=== debian/rules ===
#!/usr/bin/make -f

# We use dh_autoreconf because we're not building from tarballs, so
# there are no generated Makefiles and configure script in our tree.
%:
	dh $@ --with autoreconf

# Running make check is unsuitable because the tests require a working
# X environment currently, so we disable dh_auto_test.
override_dh_auto_test:

## libepoxy 1.2

=== debian/changelog ===
libepoxy (1.2-1) unstable; urgency=low

  * Upgrade to upstream v1.2 release.

 -- Eric Anholt <eric@anholt.net>  Tue, 13 May 2014 17:47:29 -0700

## libepoxy 1.4.3

=== meson_options.txt ===
option('enable-docs',
       type: 'boolean', value: false,
       description: 'Enable generating the Epoxy API reference (depends on Doxygen)')
option('enable-glx',
       type: 'combo',
       choices: [ 'auto', 'yes', 'no' ],
       value: 'auto',
       description: 'Enable GLX support')
option('enable-egl',
       type: 'combo',
       choices: [ 'auto', 'yes', 'no' ],
       value: 'auto',
       description: 'Enable EGL support')

## libepoxy 1.3.1

=== debian/changelog ===
libepoxy (1.3.1-1ubuntu0.16.04.2) xenial; urgency=medium

  * Disable patch 8d58c890646fc1f43bcab702bb9ed6bae94daefe:
    - this patch is causing some troubles on proprietary drivers.
      LP: #1698233

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Jun 2017 00:02:18 +0200

libepoxy (1.3.1-1ubuntu0.16.04.1) xenial; urgency=medium

  * Fix mesa crash (NPE) when no GL is available on X server
    LP: #1647600

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Jun 2017 11:28:19 +0200

libepoxy (1.3.1-1) unstable; urgency=low

  * Upgrade to upstream v1.3.1 release and make the -dev package multi-arch.
    (Closes: #787314)

 -- Eric Anholt <eric@anholt.net>  Wed, 15 Jul 2015 16:36:27 -0700

=== debian/control ===
Source: libepoxy
Priority: optional
Maintainer: Eric Anholt <eric@anholt.net>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autotools-dev,
               xutils-dev,
               pkg-config,
               libx11-dev,
               libegl1-mesa-dev,
               python
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/anholt/libepoxy
Vcs-Git: https://github.com/anholt/libepoxy.git
Vcs-Browser: https://github.com/anholt/libepoxy

Package: libepoxy-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libepoxy0 (= ${binary:Version}), ${misc:Depends}
Description: OpenGL function pointer management library- development
 It hides the complexity of dlopen(), dlsym(), glXGetProcAddress(),
 eglGetProcAddress(), etc. from the app developer, with very little
 knowledge needed on their part.  They get to read GL specs and write
 code using undecorated function names like glCompileShader().
 .
 This package contains the development headers for the library found in
 libepoxy0. Non-developers likely have little use for this package.

Package: libepoxy0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL function pointer management library
 It hides the complexity of dlopen(), dlsym(), glXGetProcAddress(),
 eglGetProcAddress(), etc. from the app developer, with very little
 knowledge needed on their part.  They get to read GL specs and write
 code using undecorated function names like glCompileShader().

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Running make check is unsuitable because the tests require a working
# X environment currently, so we disable dh_auto_test.
override_dh_auto_test:

## libepoxy 1.4.3

=== debian/changelog ===
libepoxy (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3 (Closes: #881540).
  * Section: debian-installer for udeb
  * Copyright: factor Expat license
  * Move maintenance to collab-maint, use gbp layout

 -- Jérémy Lal <kapouer@melix.org>  Mon, 13 Nov 2017 12:44:13 +0100

libepoxy (1.3.1-3) unstable; urgency=medium

  * Drop patch causing amdgpu-pro lock (Closes: #850033)
  * Add add_null_checks.patch (upstreamed, avoids some segfaults).

 -- Jérémy Lal <kapouer@melix.org>  Sat, 24 Jun 2017 10:07:39 +0200

libepoxy (1.3.1-2) unstable; urgency=medium

  * Set myself as maintainer, with previous maintainer authorization.
  * Standards-Version 3.9.8 
  * B-D python:native for cross-build. Closes: #842711.
    Thanks to Helmut Grohne <helmut@subdivi.de>
  * Build libepoxy0-udeb so libgtk-3-0-udeb can depend on it.
    Closes: #788711. Thanks to Cyril Brulebois <kibi@debian.org>.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 20 Jan 2017 09:40:39 +0100

libepoxy (1.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport three upstream commits. (Closes: #850033) 

 -- Jérémy Lal <kapouer@melix.org>  Thu, 19 Jan 2017 01:19:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libepoxy
 Priority: optional
-Maintainer: Eric Anholt <eric@anholt.net>
+Maintainer: Jérémy Lal <kapouer@melix.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                autotools-dev,
@@ -8,12 +8,12 @@
                pkg-config,
                libx11-dev,
                libegl1-mesa-dev,
-               python
-Standards-Version: 3.9.6
+               python:native
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/anholt/libepoxy
-Vcs-Git: https://github.com/anholt/libepoxy.git
-Vcs-Browser: https://github.com/anholt/libepoxy
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libepoxy.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libepoxy.git
 
 Package: libepoxy-dev
 Section: libdevel
@@ -39,3 +39,11 @@
  eglGetProcAddress(), etc. from the app developer, with very little
  knowledge needed on their part.  They get to read GL specs and write
  code using undecorated function names like glCompileShader().
+
+Package: libepoxy0-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: OpenGL function pointer management library - minimal runtime
+ This is a udeb, or a microdeb, for the debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Running make check is unsuitable because the tests require a working
# X environment currently, so we disable dh_auto_test.
override_dh_auto_test:

# No symbols for udebs, specify the highest version from symbols file:
override_dh_makeshlibs:
	dh_makeshlibs --add-udeb='libepoxy0-udeb (>= 1.3)'

## libepoxy 1.5.3

=== debian/changelog ===
libepoxy (1.5.3-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release
  * debian/copyright: Stop excluding .gitignore
  * Drop workaround specifying Xvfb screen size since #874077 is fixed
  * Bump minimum meson to 0.47.0
  * Drop patch: applied in new release
  * Drop obsolete shlib-calls-exit lintian override
  * Enable all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 04 Oct 2018 20:28:06 -0400

libepoxy (1.5.2-0.3) unstable; urgency=medium

  * Non-maintainer upload
  * Drop obsolete python:native build dependency
  * Don't ignore test failures except on s390x and on ports where tests fail

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 19 Sep 2018 22:18:18 -0400

libepoxy (1.5.2-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * libepoxy-dev Depends on libgl1-mesa-dev and libegl1-mesa-dev.
    Those packages provide gl.pc and egl.pc, which are depended on by
    epoxy.pc since 1.5.2 (Closes: #909173)
  * Work around #874077 by creating an Xvfb screen where GLX can work

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Sep 2018 10:39:51 +0100

libepoxy (1.5.2-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 1.5.2 (Closes: #906951)
  * Add minimal debian/gbp.conf
  * debian/copyright: temporarily exclude .gitignore
  * Update Vcs links for migration to https://salsa.debian.org
  * Bump debhelper compat to 11
  * debian/libepoxy0.symbols: Update
  * Build-Depend on libgl1-mesa-dev
  * Build with meson
  * Run build tests and make tests failures fail the build on Ubuntu
  * Cherry-pick dispatch-Fix-GLES3-symbol-lookup.patch

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 18 Sep 2018 15:09:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: libepoxy
 Priority: optional
 Maintainer: Jérémy Lal <kapouer@melix.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               autotools-dev,
+Build-Depends: debhelper (>= 11),
+               meson (>= 0.47.0),
                xutils-dev,
                pkg-config,
                libx11-dev,
+               libgl1-mesa-dev,
                libegl1-mesa-dev,
-               python:native
-Standards-Version: 3.9.8
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://github.com/anholt/libepoxy
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libepoxy.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libepoxy.git
+Vcs-Browser: https://salsa.debian.org/debian/libepoxy
+Vcs-Git: https://salsa.debian.org/debian/libepoxy.git
 
 Package: libepoxy-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libepoxy0 (= ${binary:Version}), ${misc:Depends}
+Depends: libegl1-mesa-dev,
+         libepoxy0 (= ${binary:Version}),
+         libgl1-mesa-dev,
+         ${misc:Depends}
 Description: OpenGL function pointer management library- development
  It hides the complexity of dlopen(), dlsym(), glXGetProcAddress(),
  eglGetProcAddress(), etc. from the app developer, with very little

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

# Ignore test results on s390x and most ports where tests fail
override_dh_auto_test:
ifneq (,$(filter s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 riscv64 sparc64 x32,$(DEB_HOST_ARCH)))
	-xvfb-run -a dh_auto_test
else
	xvfb-run -a dh_auto_test
endif

# No symbols for udebs, specify the highest version from symbols file:
override_dh_makeshlibs:
	dh_makeshlibs --add-udeb='libepoxy0-udeb (>= 1.3)'

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libepoxy-$1\.tar\.gz/ \
  https://github.com/anholt/libepoxy/tags .*/v?(\d\S*)\.tar\.gz

## libepoxy 1.5.4

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libepoxy
 Priority: optional
-Maintainer: Jérémy Lal <kapouer@melix.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends: debhelper (>= 11),
                meson (>= 0.47.0),
                xutils-dev,
@@ -10,11 +11,11 @@
                libegl1-mesa-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Section: libs
 Homepage: https://github.com/anholt/libepoxy
-Vcs-Browser: https://salsa.debian.org/debian/libepoxy
-Vcs-Git: https://salsa.debian.org/debian/libepoxy.git
+Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libepoxy
+Vcs-Git: https://salsa.debian.org/xorg-team/lib/libepoxy.git
 
 Package: libepoxy-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 %:
 	dh $@ --buildsystem=meson
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 # Ignore test results on s390x and most ports where tests fail
 override_dh_auto_test:
@@ -15,4 +18,4 @@
 
 # No symbols for udebs, specify the highest version from symbols file:
 override_dh_makeshlibs:
-	dh_makeshlibs --add-udeb='libepoxy0-udeb (>= 1.3)'
+	dh_makeshlibs -plibepoxy0 -V'libepoxy0 (>= 1.5.4)' --add-udeb=libepoxy0-udeb

## libepoxy 1.5.5

=== debian/changelog ===
libepoxy (1.5.5-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump meson build-dep.
  * control: Migrate to libgl-dev, libegl-dev.
  * control: Migrate to debhelper-compat, bump to 13.
  * control: Bump policy to 4.5.1.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Jan 2021 00:42:39 +0200

libepoxy (1.5.4-1) unstable; urgency=medium

  * New upstream release.
  * control: Move under xorg-team maintenance. (Closes: #945577)
  * Drop gbp.conf.
  * symbols: Updated.
  * rules: Update dh_makeshlibs override to actually work.
  * control: Bump policy to 4.4.1.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 Nov 2019 17:19:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: libepoxy
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Build-Depends: debhelper (>= 11),
-               meson (>= 0.47.0),
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Build-Depends: debhelper-compat (= 13),
+               meson (>= 0.48.0),
                xutils-dev,
                pkg-config,
                libx11-dev,
-               libgl1-mesa-dev,
-               libegl1-mesa-dev,
+               libgl-dev,
+               libegl-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/anholt/libepoxy
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libepoxy
@@ -21,9 +20,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libegl1-mesa-dev,
+Depends: libegl-dev,
          libepoxy0 (= ${binary:Version}),
-         libgl1-mesa-dev,
+         libgl-dev,
          ${misc:Depends}
 Description: OpenGL function pointer management library- development
  It hides the complexity of dlopen(), dlsym(), glXGetProcAddress(),

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 %:
 	dh $@ --buildsystem=meson
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 # Ignore test results on s390x and most ports where tests fail
 override_dh_auto_test:

## libepoxy 1.5.8

=== debian/changelog ===
libepoxy (1.5.8-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream backports release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 12 Sep 2021 11:58:23 -0400

libepoxy (1.5.8-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 02 Sep 2021 11:47:16 +0200

libepoxy (1.5.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Aug 2021 09:21:06 +0300

libepoxy (1.5.7-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Alexander Volkov ]
  * Don't run tests when nocheck profile is enabled. (Closes: #918840)

  [ Timo Aaltonen ]
  * New upstream release.
  * Drop xutils-dev from build-depends, not used. (Closes: #981785)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 May 2021 00:00:09 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libepoxy
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson (>= 0.48.0),
-               xutils-dev,
                pkg-config,
                libx11-dev,
                libgl-dev,

## libepoxy 1.5.9

=== debian/changelog ===
libepoxy (1.5.9-2) unstable; urgency=medium

  * Clean up autopkgtest cruft that shouldn't have been included.
    (Closes: #996408)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Oct 2021 15:45:29 +0300

libepoxy (1.5.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Sep 2021 08:55:20 +0300

## libepoxy 1.5.10

=== debian/changelog ===
libepoxy (1.5.10-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 02 Apr 2022 06:37:55 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libepoxy
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson (>= 0.48.0),
                pkg-config,
@@ -10,7 +9,7 @@
                libegl-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://github.com/anholt/libepoxy
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libepoxy

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,13 @@
 
 # Ignore test results on s390x and most ports where tests fail
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifneq (,$(filter s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 riscv64 sparc64 x32,$(DEB_HOST_ARCH)))
 	-xvfb-run -a dh_auto_test
 else
 	xvfb-run -a dh_auto_test
 endif
+endif
 
 # No symbols for udebs, specify the highest version from symbols file:
 override_dh_makeshlibs:
